This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 74282 - race condition in bash
race condition in bash
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 11:39 EDT by Jim Wright
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 21:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Wright 2002-09-19 11:39:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
In tracking down some hardware problems with an SMP system, we came up with this
very simple test.

    while [ 1 ] ; do date ; done | uniq -c

I would expect that on an otherwise idle machine the date command can be run
roughly the same number of times per second over long periods of time. But we
see a trend over a few minutes where fewer and fewer instances are run. 
Sometimes this leads to that shell crashing.

I posted this to the bash-bug list and got the following reply:

  Date: Mon, 16 Sep 2002 10:10:32 -0400
  From: Chet Ramey <chet@nike.ins.cwru.edu>
  Reply-To: chet@po.cwru.edu
  To: jwright@penguincomputing.com
  Cc: bug-bash@gnu.org, jwright@penguincomputing.com, chet@po.cwru.edu
  Subject: Re: odd behavior of while loop, leading to crash

  It's a race condition.  There is a fix in bash-2.05b.


Version-Release number of selected component (if applicable):
bash-2.05-8

How reproducible:
Always

Steps to Reproduce:
1.as above

Additional info:
Comment 1 Tim Waugh 2002-10-07 09:38:41 EDT
Fixed package is bash-2.05b-5.

Note You need to log in before you can comment on or make changes to this bug.